Bug 177571 - [ixgbe] Cannot select media type.
Summary: [ixgbe] Cannot select media type.
Status: Closed FIXED
Alias: None
Product: Base System
Classification: Unclassified
Component: kern (show other bugs)
Version: 9.1-RELEASE
Hardware: Any Any
: Normal Affects Only Me
Assignee: jfv
URL:
Keywords: IntelNetworking
Depends on:
Blocks:
 
Reported: 2013-04-02 04:00 UTC by Marcelo Araujo
Modified: 2015-07-01 14:36 UTC (History)
1 user (show)

See Also:


Attachments
ixgbe-r266110.diff (441 bytes, patch)
2014-05-16 03:53 UTC, araujobsdport
no flags Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Marcelo Araujo freebsd_committer 2013-04-02 04:00:00 UTC
If you try to change the media type of interfaces ixgbe, it shows that can support only "auto" media type.

[root@ ~]# ifconfig -m ix1 | grep media
	media: Ethernet autoselect (1000baseSX <full-duplex>)
	supported media:
		media autoselect
		media 10Gbase-T

root@ ~]# ifconfig ix1 | grep media
	media: Ethernet autoselect


Now I'm gonna try to set 10Gbase-T:
[root@ ~]# ifconfig ix1 media 10Gbase-T
ifconfig: SIOCSIFMEDIA (media): Invalid argument

On my console it appears:
ix1: Only auto media type

I have a switch 10G with this interface.

How-To-Repeat: Just try to set 10GBase-T on this interface.
Comment 1 Marcelo Araujo freebsd_committer 2013-04-02 04:04:10 UTC
Responsible Changed
From-To: freebsd-bugs->jfv

Over to maintainer.....The Intel guy!
Comment 2 Sean Bruno freebsd_committer 2015-07-01 14:36:28 UTC
Since ixgbe(4) was seperated and changed in head, its a bit tricky to see if this applies.  Reading sys/dev/ixgbe/if_ix.c::ixgbe_media_change() seems to indicate that this is fixed now:

        /*
        ** We don't actually need to check against the supported
        ** media types of the adapter; ifmedia will take care of
        ** that for us.
        */
        switch (IFM_SUBTYPE(ifm->ifm_media)) {
                case IFM_AUTO:
                case IFM_10G_T:
                        speed |= IXGBE_LINK_SPEED_100_FULL;
                case IFM_10G_LRM: